QGIS Application - Bug report #8552
unavailable WMS url blocking project load
2013-09-02 08:46 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:1.8.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 17302

Description

| open a project that has a WMS layer defined, but | am offline. The project loads till it gets to the WMS layer then hangs indefinitely

waiting for a response. The only option is to kill QGIS.

Manually edit the WMS layer out, or remove it when online and the problem disappears.

So QGIS needs to timeout very quickly if it receives no response and just switch the layer off, or some other smooth way of handling the

error.

This is an issue on 1.8 but worth testing in 2.0

History

#1 - 2013-09-02 11:26 PM - Gavin Fleming

- Subject changed from unavailable WMS url block project load to unavailable WMS url blocking project load

#2 - 2013-09-03 02:07 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category set to Project Loading/Saving

Have you tested qgis master? | recall that this may have been fixed there.

#3 - 2013-09-27 04:37 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Feedback to Closed

works as expected on qgis 2.0
